INTEL_DISPLAY_SET_IN(9)

NAME
intel_display_set_init_power - set the initial power domain state

SYNOPSIS

void intel_display_set_init_power(struct drm_i915_private * dev_priv, bool enable);

ARGUMENTS

dev_priv
    i915 device instance

enable
    whether to enable or disable the initial power domain state

DESCRIPTION

For simplicity our driver load/unload and system suspend/resume code assumes that all power domains are always enabled. This functions controls the state of this little hack. While the initial power domain state is enabled runtime pm is effectively disabled.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT